Ubuntu

Please patch xserver-xorg-video-sis (was: SiS driver crashes Xserver with EXA acceleration)

Reported by tobias_t on 2012-10-14
166
This bug affects 34 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-sis
Confirmed
Medium
xserver-xorg-video-sis (Baltix)
High
Mantas Kriaučiūnas
xserver-xorg-video-sis (Ubuntu)
Critical
Unassigned
xserver-xorg-video-sis-lts-raring (Ubuntu)
Critical
Unassigned

Bug Description

[TRIAGE NOTE]
xserver-xorg-video-all metapackage should not depend on xserver-xorg-video-sis because it makes Ubuntu >= 12.10 unusable/uninstallable for SiS users, and upstream X shows little interest in fixing/patching the SiS driver.

[WORKAROUND]:
For SiS users that already have Ubuntu installed, they can create an /etc/X11/xorg.conf file with the following contents:

Section "Device"
        Identifier "Configured Video Device"
        Option "NoAccel" "true"
EndSection

Section "Monitor"
        Identifier "Configured Monitor"
EndSection

Section "Screen"
        Identifier "Default Screen"
        Monitor "Configured Monitor"
        Device "Configured Video Device"
EndSection

[ORIGINAL REPORT]:

After Upgrade to 12.10. The Xserver crashes.
I have tried lightdm und gdm.
Both of them load the Mouse and Background then they restart.

/var/log/gdm/:0.log:

X.Org X Server 1.13.0
Release Date: 2012-09-05
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-26-generic i686 Ubuntu
Current Operating System: Linux mond 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:32:08 UTC 2012 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=c5886261-b8f1-4812-9f3f-4a765ba7a8b1 ro quiet splash
Build Date: 08 October 2012 03:34:08PM
xorg-server 2:1.13.0-0ubuntu6 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.26.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Oct 14 11:01:58 2012
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section. Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) | |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) Automatically adding GPU devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
        Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
        Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
        Entry deleted from font path.
(==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/Type1,
        built-ins
(==) ModulePath set to "/usr/lib/i386-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
(--) PCI:*(0:1:0:0) 1039:6330:1025:0082 rev 0, Mem @ 0xe8000000/134217728, 0xe2100000/131072, I/O @ 0x00009000/128
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension SECURITY
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 1.0.0
(==) AIGLX enabled
Loading extension GLX
(==) Matched sis as autoconfigured driver 0
(==) Matched vesa as autoconfigured driver 1
(==) Matched modesetting as autoconfigured driver 2
(==) Matched fbdev as autoconfigured driver 3
(==) Assigned the driver to the xf86ConfigLayout
(II) Loading /usr/lib/xorg/modules/drivers/sis_drv.so
(II) Module sis: vendor="X.Org Foundation"
        compiled for 1.12.99.902, module version = 0.10.7
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
        compiled for 1.12.99.902, module version = 2.3.2
(II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
(II) Module modesetting: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 0.5.0
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
        compiled for 1.12.99.902, module version = 0.4.3
(II) SIS: driver for SiS chipsets: SIS5597/5598, SIS530/620,
        SIS6326/AGP/DVD, SIS300/305, SIS630/730, SIS540, SIS315, SIS315H,
        SIS315PRO/E, SIS550, SIS650/M650/651/740, SIS330(Xabre),
        SIS660/[M]661[F|M]X/[M]670/[M]741[GX]/[M]760[GX]/[M]761[GX]/[M]770[GX],
        SIS340
(II) SIS: driver for XGI chipsets: Volari Z7 (XG20),
        Volari V3XT/V5/V8/Duo (XG40)
(II) VESA: driver for VESA chipsets: vesa
(II) modesetting: Driver for Modesetting Kernel Drivers: kms
(II) FBDEV: driver for framebuffer: fbdev
(++) using VT number 7

(WW) Falling back to old probe method for sis
(--) Assigning device section with no busID to primary device
(--) Chipset SIS660/[M]661[F|M]X/[M]670/[M]741[GX]/[M]760[GX]/[M]761[GX]/[M]770[GX] found
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for modesetting
(EE) open /dev/dri/card0: No such file or directory
(WW) Falling back to old probe method for fbdev
(II) Loading /usr/lib/xorg/modules/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 0.0.2
(EE) open /dev/fb0: No such file or directory
(II) SIS(0): SiS driver (2005/09/20-1, compiled for X.org 1.12.99.902)
(II) SIS(0): Copyright (C) 2001-2005 Thomas Winischhofer <email address hidden> and others
(II) SIS(0): *** See http://www.winischhofer.eu/linuxsisvga.shtml
(II) SIS(0): *** for documentation and updates.
(--) SIS(0): sisfb not found
(--) SIS(0): Relocated I/O registers at 0x9000
(II) SIS(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
(==) SIS(0): Depth 24, (--) framebuffer bpp 32
(==) SIS(0): RGB weight 888
(==) SIS(0): Default visual is TrueColor
(WW) SIS(0): Could not find/read video BIOS
(==) SIS(0): Using HW cursor
(==) SIS(0): Color HW cursor is enabled
(II) SIS(0): Using VRAM command queue, size 512k
(==) SIS(0): Hotkey display switching is enabled
(II) SIS(0): WARNING: Using the Hotkey might freeze your machine, regardless
(II) SIS(0): whether enabled or disabled. This is no driver bug.
(==) SIS(0): SiSCtrl utility interface is disabled
(II) SIS(0): For information on SiSCtrl, see
                http://www.winischhofer.eu/linuxsispart1.shtml#sisctrl
(==) SIS(0): DRI disabled
(II) SIS(0): Checking OS for SSE support is not supported in this version of X.org
(II) SIS(0): If your OS supports SSE, set the option "UseSSE" to "on".
(--) SIS(0): DIMM0 is DDR SDRAM
(--) SIS(0): DIMM1 is not installed
(--) SIS(0): DIMM2 is not installed
(--) SIS(0): DRAM type: DDR SDRAM
(--) SIS(0): Memory clock: 332.892 MHz
(--) SIS(0): DRAM bus width: 64 bit
(--) SIS(0): Linear framebuffer at 0xE8000000
(--) SIS(0): MMIO registers at 0xE2100000 (size 64K)
(--) SIS(0): VideoRAM: 65536 KB
(II) SIS(0): Using 64960K of framebuffer memory at offset 0K
(--) SIS(0): Hardware supports two video overlays
(--) SIS(0): Detected SiS302LV video bridge (Charter/UMC-1, ID 1; Rev 0xe1)
(--) SIS(0): No CRT1/VGA detected
(--) SIS(0): Detected LCD/plasma panel (1280x800, 11, non-exp., RGB18 [2cc106])
(==) SIS(0): Using gamma correction (1.0, 1.0, 1.0)
(II) SIS(0): CRT1 gamma correction is enabled
(II) SIS(0): Separate Xv gamma correction for CRT1 is disabled
(II) SIS(0): CRT2 gamma correction is enabled
(--) SIS(0): Memory bandwidth at 32 bpp is 665.784 MHz
(--) SIS(0): Detected LCD PanelDelayCompensation 0x00 (for LCD=CRT2)
(--) SIS(0): Detected LCD PanelDelayCompensation1 0x00 (for LCD=CRT1)
(--) SIS(0): 302LV/302ELV: Using EMI 0x600d703f (LCD)
(--) SIS(0): CRT2 DDC probing failed
(==) SIS(0): Min pixel clock is 10 MHz
(--) SIS(0): Max pixel clock is 400 MHz
(II) SIS(0): Replaced entire mode list with built-in modes
(II) SIS(0): Correcting missing CRT2 monitor HSync range
(II) SIS(0): Correcting missing CRT2 monitor VRefresh range
(II) SIS(0): "Unknown reason" in the following list means that the mode
(II) SIS(0): is not supported on the chipset/bridge/current output device.
(II) SIS(0): <default monitor>: Using hsync range of 30.00-80.00 kHz
(II) SIS(0): <default monitor>: Using vrefresh range of 59.00-61.00 Hz
(II) SIS(0): <default monitor>: Using vrefresh value of 71.00 Hz
(WW) SIS(0): Unable to estimate virtual size
(II) SIS(0): Clock range: 10.00 to 400.00 MHz
(II) SIS(0): Not using default mode "800x600" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x600" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x600" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x600" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x600" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x600" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x600" (hsync out of range)
(II) SIS(0): Not using default mode "640x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "640x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "640x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "640x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "640x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "640x480" (hsync out of range)
(II) SIS(0): Not using default mode "640x480" (hsync out of range)
(II) SIS(0): Not using default mode "1024x768" (vrefresh out of range)
(II) SIS(0): Not using default mode "1024x768" (vrefresh out of range)
(II) SIS(0): Not using default mode "1024x768" (vrefresh out of range)
(II) SIS(0): Not using default mode "1024x768" (vrefresh out of range)
(II) SIS(0): Not using default mode "1024x768" (hsync out of range)
(II) SIS(0): Not using default mode "1024x768" (hsync out of range)
(II) SIS(0): Not using default mode "1280x1024" (unknown reason)
(II) SIS(0): Not using default mode "1280x1024" (unknown reason)
(II) SIS(0): Not using default mode "1280x1024" (unknown reason)
(II) SIS(0): Not using default mode "1280x1024" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1600x1200" (unknown reason)
(II) SIS(0): Not using default mode "1920x1440" (unknown reason)
(II) SIS(0): Not using default mode "1920x1440" (unknown reason)
(II) SIS(0): Not using default mode "1920x1440" (unknown reason)
(II) SIS(0): Not using default mode "1920x1440" (unknown reason)
(II) SIS(0): Not using default mode "1920x1440" (unknown reason)
(II) SIS(0): Not using default mode "1920x1440" (unknown reason)
(II) SIS(0): Not using default mode "2048x1536" (unknown reason)
(II) SIS(0): Not using default mode "2048x1536" (unknown reason)
(II) SIS(0): Not using default mode "2048x1536" (unknown reason)
(II) SIS(0): Not using default mode "2048x1536" (unknown reason)
(II) SIS(0): Not using default mode "2048x1536" (unknown reason)
(II) SIS(0): Not using default mode "800x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "800x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "1024x576" (vrefresh out of range)
(II) SIS(0): Not using default mode "1024x576" (vrefresh out of range)
(II) SIS(0): Not using default mode "1280x720" (vrefresh out of range)
(II) SIS(0): Not using default mode "1280x720" (hsync out of range)
(II) SIS(0): Not using default mode "1280x960" (unknown reason)
(II) SIS(0): Not using default mode "1280x960" (unknown reason)
(II) SIS(0): Not using default mode "1280x768" (vrefresh out of range)
(II) SIS(0): Not using default mode "1280x768" (hsync out of range)
(II) SIS(0): Not using default mode "1400x1050" (unknown reason)
(II) SIS(0): Not using default mode "1400x1050" (unknown reason)
(II) SIS(0): Not using default mode "1152x864" (unknown reason)
(II) SIS(0): Not using default mode "1152x864" (unknown reason)
(II) SIS(0): Not using default mode "1152x864" (unknown reason)
(II) SIS(0): Not using default mode "848x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "856x480" (vrefresh out of range)
(II) SIS(0): Not using default mode "1360x768" (unknown reason)
(II) SIS(0): Not using default mode "1280x800" (vrefresh out of range)
(II) SIS(0): Not using default mode "1280x800" (hsync out of range)
(II) SIS(0): Not using default mode "1680x1050" (unknown reason)
(II) SIS(0): Not using default mode "1920x1080" (unknown reason)
(II) SIS(0): Not using default mode "1280x854" (unknown reason)
(II) SIS(0): Not using default mode "1280x854" (unknown reason)
(II) SIS(0): Not using default mode "1280x854" (unknown reason)
(--) SIS(0): Virtual size is 1280x800 (pitch 1280)
(**) SIS(0): *Default mode "1280x800" (1280x800) (For CRT device: 107.9 MHz, 63.9 kHz, 59.9 Hz)
(**) SIS(0): *Default mode "1280x768" (1280x768) (For CRT device: 107.9 MHz, 63.9 kHz, 59.9 Hz)
(**) SIS(0): *Default mode "1280x720" (1280x720) (For CRT device: 107.9 MHz, 63.9 kHz, 59.9 Hz)
(**) SIS(0): *Default mode "1024x768" (1024x768) (For CRT device: 65.1 MHz, 48.5 kHz, 60.1 Hz)
(**) SIS(0): *Default mode "1024x576" (1024x576) (For CRT device: 65.1 MHz, 48.5 kHz, 60.1 Hz)
(**) SIS(0): *Default mode "960x600" (960x600) (For CRT device: 41.5 MHz, 37.1 kHz, 60.0 Hz)
(**) SIS(0): *Default mode "960x540" (960x540) (For CRT device: 37.3 MHz, 33.8 kHz, 60.0 Hz)
(**) SIS(0): *Default mode "800x600" (800x600) (For CRT device: 40.0 MHz, 37.9 kHz, 60.3 Hz)
(**) SIS(0): *Default mode "768x576" (768x576) (For CRT device: 35.0 MHz, 35.9 kHz, 60.1 Hz)
(**) SIS(0): *Default mode "720x576" (720x576) (For CRT device: 32.7 MHz, 35.9 kHz, 60.1 Hz)
(**) SIS(0): *Default mode "856x480" (856x480) (For CRT device: 33.9 MHz, 31.7 kHz, 59.8 Hz)
(**) SIS(0): *Default mode "848x480" (848x480) (For CRT device: 33.7 MHz, 31.0 kHz, 60.0 Hz)
(**) SIS(0): *Default mode "800x480" (800x480) (For CRT device: 39.8 MHz, 37.7 kHz, 60.0 Hz)
(**) SIS(0): *Default mode "720x480" (720x480) (For CRT device: 28.3 MHz, 31.6 kHz, 61.0 Hz)
(**) SIS(0): *Default mode "640x480" (640x480) (For CRT device: 25.1 MHz, 31.3 kHz, 59.7 Hz)
(**) SIS(0): *Default mode "640x400" (640x400) (For CRT device: 25.1 MHz, 31.6 kHz, 71.6 Hz)
(**) SIS(0): *Default mode "512x384" (512x384) (For CRT device: 32.6 MHz, 48.5 kHz, 60.1 Hz (D))
(**) SIS(0): *Default mode "400x300" (400x300) (For CRT device: 20.0 MHz, 37.9 kHz, 60.3 Hz (D))
(**) SIS(0): *Default mode "320x240" (320x240) (For CRT device: 12.5 MHz, 31.3 kHz, 60.7 Hz (D))
(**) SIS(0): *Default mode "320x200" (320x200) (For CRT device: 12.5 MHz, 31.3 kHz, 70.9 Hz (D))
(==) SIS(0): DPI set to (96, 96)
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 1.0.0
(II) Loading /usr/lib/xorg/modules/libexa.so
(II) Module exa: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 2.6.0
(II) Unloading vesa
(II) Unloading modesetting
(II) Unloading fbdev
(II) Unloading fbdevhw
(--) Depth 24 pixmap format is 32 bpp
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 1.1.0
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 1.0.0
(II) SIS(0): initializing int10
(II) SIS(0): Primary V_BIOS segment is: 0xc000
(II) SIS(0): VESA BIOS detected
(II) EXA(0): Offscreen pixmap area of 62423040 bytes
(II) EXA(0): Driver registered support for the following operations:
(II) Solid
(II) Copy
(II) UploadToScreen
(II) DownloadFromScreen
(--) SIS(0): CPU frequency 1500.06Mhz
(II) SIS(0): Benchmarking system RAM to video RAM memory transfer methods:
(--) SIS(0): Checked libc memcpy()... 185.3 MiB/s
(--) SIS(0): Checked built-in-1 memcpy()... 185.6 MiB/s
(--) SIS(0): Checked built-in-2 memcpy()... 58.2 MiB/s
(--) SIS(0): Checked MMX memcpy()... 186.2 MiB/s
(--) SIS(0): Checked MMX2 memcpy()... 187.9 MiB/s
(--) SIS(0): Using MMX2 method for aligned data transfers to video RAM
(--) SIS(0): Using MMX2 method for unaligned data transfers to video RAM
(--) SIS(0): CPU frequency 1500.06Mhz
(II) SIS(0): Benchmarking video RAM to system RAM memory transfer methods:
(--) SIS(0): Checked libc memcpy()... 35.4 MiB/s
(--) SIS(0): Checked built-in-1 memcpy()... 36.5 MiB/s
(--) SIS(0): Checked built-in-2 memcpy()... 23.8 MiB/s
(--) SIS(0): Checked MMX memcpy()... 50.7 MiB/s
(--) SIS(0): Checked MMX2 memcpy()... 52.2 MiB/s
(--) SIS(0): Using MMX2 method for aligned data transfers from video RAM
(--) SIS(0): Using MMX2 method for unaligned data transfers from video RAM
(==) SIS(0): Backing store disabled
(==) SIS(0): Silken mouse enabled
(==) SIS(0): DPMS enabled
(II) SIS(0): Using SiS300/315/330/340 series HW Xv
(II) SIS(0): Default Xv adaptor is Video Overlay
(II) SIS(0): Initialized SISCTRL extension version 0.1
(II) SIS(0): Registered screen 0 with SISCTRL extension version 0.1
(==) RandR enabled
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized swrast
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) XKB: reuse xkmfile /var/lib/xkb/server-B20D7FC79C7F597315E3E501AEF10E0D866E8E92.xkm
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
        compiled for 1.13.0, module version = 2.7.3
(II) Using input driver 'evdev' for 'Power Button'
(**) Power Button: always reports core events
(**) evdev: Power Button: Device: "/dev/input/event3"
(--) evdev: Power Button: Vendor 0 Product 0x1
(--) evdev: Power Button: Found keys
(II) evdev: Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
(II) XKB: reuse xkmfile /var/lib/xkb/server-76D2B5A359D34EEB9BFAEB1701EF70014DF39715.xkm
(II) config/udev: Adding input device Power Button (/dev/input/event1)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) Using input driver 'evdev' for 'Power Button'
(**) Power Button: always reports core events
(**) evdev: Power Button: Device: "/dev/input/event1"
(--) evdev: Power Button: Vendor 0 Product 0x1
(--) evdev: Power Button: Found keys
(II) evdev: Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 7)
(II) config/udev: Adding input device Lid Switch (/dev/input/event0)
(II) No input driver specified, ignoring this device.
(II) This device may have been added with another device file.
(II) config/udev: Adding input device Sleep Button (/dev/input/event2)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(II) Using input driver 'evdev' for 'Sleep Button'
(**) Sleep Button: always reports core events
(**) evdev: Sleep Button: Device: "/dev/input/event2"
(--) evdev: Sleep Button: Vendor 0 Product 0x3
(--) evdev: Sleep Button: Found keys
(II) evdev: Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 8)
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event4)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
(**) AT Translated Set 2 keyboard: always reports core events
(**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event4"
(--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
(--) evdev: AT Translated Set 2 keyboard: Found keys
(II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 9)
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event5)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "Default clickpad buttons"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
        compiled for 1.12.99.905, module version = 1.6.2
(II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
(**) SynPS/2 Synaptics TouchPad: always reports core events
(--) synaptics: SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(--) synaptics: SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(--) synaptics: SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(--) synaptics: SynPS/2 Synaptics TouchPad: finger width range 0 - 15
(--) synaptics: SynPS/2 Synaptics TouchPad: buttons: left right double triple scroll-buttons
(--) synaptics: SynPS/2 Synaptics TouchPad: Vendor 0x2 Product 0x7
(--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 10)
(**) synaptics: SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.5
(**) synaptics: SynPS/2 Synaptics TouchPad: MaxSpeed is now 1.75
(**) synaptics: SynPS/2 Synaptics TouchPad: AccelFactor is now 0.040
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
(--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
(**) SynPS/2 Synaptics TouchPad: Ignoring device from InputClass "touchpad ignore duplicates"
(II) XKB: reuse xkmfile /var/lib/xkb/server-8C3648A5FD728529D869F46730BE1BC287DB231C.xkm
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x49) [0xb76b4c79]
(EE) 1: /usr/bin/X (0xb750d000+0x1abb66) [0xb76b8b66]
(EE) 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb74ea40c]
(EE) 3: /usr/lib/xorg/modules/drivers/sis_drv.so (0xb6f1f000+0x4ebfc) [0xb6f6dbfc]
(EE) 4: /usr/lib/xorg/modules/drivers/sis_drv.so (0xb6f1f000+0x3a629) [0xb6f59629]
(EE) 5: /usr/lib/xorg/modules/drivers/sis_drv.so (0xb6f1f000+0x28aeb) [0xb6f47aeb]
(EE) 6: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x5278) [0xb6ecb278]
(EE) 7: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x578f) [0xb6ecb78f]
(EE) 8: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x5967) [0xb6ecb967]
(EE) 9: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x618a) [0xb6ecc18a]
(EE) 10: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x3e9f) [0xb6ec9e9f]
(EE) 11: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x930f) [0xb6ecf30f]
(EE) 12: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x9d38) [0xb6ecfd38]
(EE) 13: /usr/bin/X (miCopyRegion+0x17c) [0xb76916bc]
(EE) 14: /usr/bin/X (miDoCopy+0x500) [0xb7691d00]
(EE) 15: /usr/lib/xorg/modules/libexa.so (0xb6ec6000+0x7e32) [0xb6ecde32]
(EE) 16: /usr/bin/X (0xb750d000+0x12b35d) [0xb763835d]
(EE) 17: /usr/bin/X (0xb750d000+0x384a3) [0xb75454a3]
(EE) 18: /usr/bin/X (0xb750d000+0x3cba5) [0xb7549ba5]
(EE) 19: /usr/bin/X (0xb750d000+0x2a10a) [0xb753710a]
(EE) 20: /lib/i386-linux-gnu/libc.so.6 (__libc_start_main+0xf3) [0xb71614d3]
(EE) 21: /usr/bin/X (0xb750d000+0x2a4e9) [0xb75374e9]
(EE)
(EE) Segmentation fault at address 0x0

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(II) evdev: Power Button: Close
(II) evdev: Power Button: Close
(II) evdev: Sleep Button: Close
(II) evdev: AT Translated Set 2 keyboard: Close
Server terminated with error (1). Closing log file.

X.org fails to start with Segmentation Fault if EXA acceleration is selected with the "sis" driver using a SiS 315 PRO video device.

It works fine with XAA in both 16 and 24 bit modes.

The hardware is Lemote Fuloong2F (Loongson2 little-endian MIPS CPU).
So it is possible the bug can be MIPS-specific.

According to a comment in https://bugs.freedesktop.org/show_bug.cgi?id=9611, SiS driver EXA support was broken at some point. Is it still not supposed to be working?

Created attachment 44994
Xorg.0.log

Daniel Letzeisen (dtl131) wrote :

It looks like it could be a problem with EXA acceleration. I would try disabling it.

You would place the following line in the Device section of /etc/X11/xorg.conf
Option "NoAccel" "true"

Example xorg.conf:

Section "Device"
        Identifier "Configured Video Device"
 Option "NoAccel" "true"
EndSection

Section "Monitor"
        Identifier "Configured Monitor"
EndSection

Section "Screen"
        Identifier "Default Screen"
        Monitor "Configured Monitor"
        Device "Configured Video Device"
EndSection

Wade (launch-20-apex3) wrote :

On my system, I disabled accel as suggested, and it no longer crashes.

Ideally, though, EXA acceleration would work... Upstream does not appear to have a fix yet.

Just tried to install Fedora 18 which has X.Org 1.13 (whatever it may be, as the X.Org site has no such release) and it fell miserably with SIGSEGV. As some investigation showed, in 1.12 releases the X.Org has dropped XAA whatsoever and now the SiS driver is trying to use EXA... which is broken... and it fails.

Can't believe this has been reported 2 years ago and there isn't even a single comment from X.org/Freedesktop... Obviously, they're good in dropping things out and not so good in creating working things.

So, this is to confirm: the bug is still there, wild and furious.

Johannes Thoma (johannes-thoma) wrote :

Hi, I've seem to have the same problem here: Graphics card is:

01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter

Setting NoAccel to on works around the issue, but videos are very slow and flash isn't working (including youtube), I managed to create a core file, would that help? I don't have the debug-enabled binaries for X so I can't analyze the bug yet. Pinning the sis-driver to precise didn't work because xorg-video-abi-11 is required for that.

I agree that the hardware is rather old (around 12 years or so) but it worked with older Ubuntu releases.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-sis (Ubuntu):
status: New → Confirmed
summary: - Xserver Crash in 12.10
+ SiS driver crashes Xserver 12.10 with EXA acceleration
summary: - SiS driver crashes Xserver 12.10 with EXA acceleration
+ SiS driver crashes Xserver in 12.10 with EXA acceleration
papukaija (papukaija) on 2013-02-17
summary: - SiS driver crashes Xserver in 12.10 with EXA acceleration
+ SiS driver crashes Xserver with EXA acceleration
tags: added: quantal
Changed in xserver-xorg-video-sis:
importance: Unknown → Medium
status: Unknown → Confirmed

The Bug also exists ins Opensuse 12.3

I just testet Kubuntu 13.04 Beta1

The Xserver in the Live-DVD still crashes. So it is impossible to install from DVD

Mantas Kriaučiūnas (mantas) wrote :

Ubuntu developers, please increase Importance of this bug - Ubuntu 13.04 and 12.10 are unusable with SIS video hardware, this is an important regression, because all older Ubuntu versions, including 12.04 LTS works fine with the same hardware.

tags: added: raring regression-release
Changed in xserver-xorg-video-sis (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Daniel Letzeisen (dtl131) wrote :

I'm not an Ubuntu/Canonical employee (just a volunteer bug triager), so take this with a grain of salt...

Frankly, I wouldn't hold my breath for this to get fixed (upstream X.org doesn't seem interested). The best thing for SiS users right now is to install Ubuntu 12.04.1 LTS: http://old-releases.ubuntu.com/releases/12.04.1/
Once you have 12.04.1 installed, make sure you DON'T install the xserver-xorg-lts-quantal package, or you'll hit this bug again. You need to stick with xserver-xorg-lts-precise.

hi
I have actually fixed this issue sometime ago.

diff -Nuarp xf86-video-sis-0.10.7/src/sis310_accel.c xf86-video-sis-0.10.7.exautsdfs/src/sis310_accel.c
--- xf86-video-sis-0.10.7/src/sis310_accel.c 2012-06-06 16:47:03.000000000 +0800
+++ xf86-video-sis-0.10.7.exautsdfs/src/sis310_accel.c 2012-09-15 13:42:59.535124999 +0800
@@ -1874,7 +1874,7 @@ SiSUploadToScreen(PixmapPtr pDst, int x,
 {
  ScrnInfoPtr pScrn = xf86ScreenToScrn(pDst->drawable.pScreen);
  SISPtr pSiS = SISPTR(pScrn);
- unsigned char *dst = pDst->devPrivate.ptr;
+ unsigned char *dst = ((unsigned char *) pSiS->FbBase) + exaGetPixmapOffset(pDst);
  int dst_pitch = exaGetPixmapPitch(pDst);

  (pSiS->SyncAccel)(pScrn);
@@ -1882,7 +1882,7 @@ SiSUploadToScreen(PixmapPtr pDst, int x,
  if(pDst->drawable.bitsPerPixel < 8)
     return FALSE;

- dst += (x * pDst->drawable.bitsPerPixel / 8) + (y * src_pitch);
+ dst += (x * pDst->drawable.bitsPerPixel / 8) + (y * dst_pitch);
  while(h--) {
     SiSMemCopyToVideoRam(pSiS, dst, (unsigned char *)src,
     (w * pDst->drawable.bitsPerPixel / 8));
@@ -1953,9 +1953,8 @@ SiSDownloadFromScreen(PixmapPtr pSrc, in
 {
  ScrnInfoPtr pScrn = xf86ScreenToScrn(pSrc->drawable.pScreen);
  SISPtr pSiS = SISPTR(pScrn);
- unsigned char *src = pSrc->devPrivate.ptr;
+ unsigned char *src = ((unsigned char *) pSiS->FbBase) + exaGetPixmapOffset(pSrc);
  int src_pitch = exaGetPixmapPitch(pSrc);
- int size = src_pitch < dst_pitch ? src_pitch : dst_pitch;

  (pSiS->SyncAccel)(pScrn);

@@ -1964,7 +1963,8 @@ SiSDownloadFromScreen(PixmapPtr pSrc, in

  src += (x * pSrc->drawable.bitsPerPixel / 8) + (y * src_pitch);
  while(h--) {
- SiSMemCopyFromVideoRam(pSiS, (unsigned char *)dst, src, size);
+ SiSMemCopyFromVideoRam(pSiS, (unsigned char *)dst, src,
+ (w * pSrc->drawable.bitsPerPixel / 8));
     src += src_pitch;
     dst += dst_pitch;
  }

reference page(chinese)
http://shuizhuyuanluo.blog.163.com/blog/static/7781812012811102554972/

(In reply to comment #4)

This patch does not work.
Xorg hangs on SIS(0): initializing int10
Xorg.log in the attacment (next comment).

Created attachment 78923
Xorg hangs on SIS(0): initializing int10

(In reply to comment #5)
> (In reply to comment #4)
>
> This patch does not work.
> Xorg hangs on SIS(0): initializing int10
> Xorg.log in the attacment (next comment).

my patch was only tested on my old box, sis661 chip.
gentoo
xorg server 1.13.0
X crashed on exa code at startup, and the patch just fixed it.
I don't have any other sis chip machines, so I can not test it more.
anyway, I think my patch may be helpful here.

btw: the motherboard of my old box was broken some months ago. any deeper investigation is now impossible for me :(

Thanks, the patch does work for an SiS m650.
I patched xserver-xorg-video-sis-lts-quantal and installed the xorg lts quantal stack on Xubuntu 12.04 and it worked fine, although the EXA performance was not as good as the XAA.

Thanks again, I hope your patch will be integrated as soon as possible.

Mantas Kriaučiūnas (mantas) wrote :

If Ubuntu developers don't have time to fix xserver-xorg-video-sis package, then this package should be removed from Ubuntu 12.10 and newer releases (including Ubuntu 12.04.3), because then users can use Ubuntu desktop at least - vesa driver works fine on SIS hardware, but xserver-xorg-video-sis doesn't work at all since Ubuntu 12.10 :(

Another case is automatically create /etc/X11/xorg.conf file with Option "NoAccel" "true" when SIS chipset is detected.

Section "Device"
        Identifier "Configured Video Device"
        Option "NoAccel" "true"
EndSection

Daniel Letzeisen (dtl131) wrote :

Agreed. This bug's a showstopper for SiS users.

Changed in xserver-xorg-video-sis (Ubuntu):
importance: High → Critical
tags: added: saucy
description: updated
Changed in xorg (Ubuntu):
importance: Undecided → Critical
status: New → Triaged

I got chipset 6630 (SiS302LV) and have the same problem.

X shows a black screen with pointer then crashes and retries continuosly.

I tried patching sis driver with nihui fix and now it manage to show lightdm login interface before crashing and looping. Looks like a little improvement, but I guess it need more fixing.

I also wonder if it uses sis300_accel.c instead of sis310_accel.c and maybe I need to patch EXA section in that file too. They are kinda different tho, don't know even where to start.

Timo Aaltonen (tjaalton) wrote :

we'll just remove -sis, like debian did now when they migrated to 1.14.x

no longer affects: xorg (Ubuntu)
summary: - SiS driver crashes Xserver with EXA acceleration
+ Please remove xserver-xorg-video-sis from saucy (was: SiS driver crashes
+ Xserver with EXA acceleration)

Timo, is it the best solution to just remove the package? It definitely should not be installed by default unless accel is disabled, but it does allow resolutions that VESA doesn't, like 1280x800.

For anyone interested, I applied the EXA patch and uploaded the sis driver to my PPA: https://launchpad.net/~dtl131/+archive/mediahacks/+packages

Changed in xserver-xorg-video-sis (Baltix):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Mantas Kriaučiūnas (mantas)
Mantas Kriaučiūnas (mantas) wrote :

Patched SiS video driver (from ppa:dtl131/mediahacks , package xserver-xorg-video-sis version 0.10.7-0ubuntu5~raring1) works fine with SIS Real 256E Graphics (Asus P5S800-VM mainboard with SiS 671FX chipset) hardware.

I'm attaching Xorg.0.log from Ubuntu 13.04 system with SIS Real 256E Graphics (Asus P5S800-VM mainboard with SiS 671FX chipset) hardware - Xorg works fine with patched SiS video driver from ppa:dtl131/mediahacks , but doesn't start at all with default xserver-xorg-video-sis package from Ubuntu.

Please don't remove xserver-xorg-video-sis package from Ubuntu Saucy, but use EXA patch https://launchpad.net/~dtl131/+archive/mediahacks/ , because patched SiS driver works fine on new Xserver with EXA acceleration.

ubuntu@ubuntu:~$ lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 661FX/M661FX/M661MX Host (rev 11)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS964 [MuTIOL Media IO] LPC Controller (rev 36)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 IDE Controller (rev 01)
00:03.0 USB controller: Silicon Integrated Systems [SiS] USB 1.1 Controller (rev 0f)
00:03.3 USB controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760 PCI/AGP or 662/761Gx PCIE VGA Display Adapter

Daniel Letzeisen (dtl131) wrote on 2013-09-26:
> Timo, is it the best solution to just remove the package? It definitely should not be installed by default unless accel is disabled, but it does allow resolutions that VESA doesn't, like 1280x800.
> For anyone interested, I applied the EXA patch and uploaded the sis driver to my PPA: https://launchpad.net/~dtl131/+archive/mediahacks/+packages

summary: - Please remove xserver-xorg-video-sis from saucy (was: SiS driver crashes
- Xserver with EXA acceleration)
+ Please patch xserver-xorg-video-sis for Saucy and Raring (was: SiS
+ driver crashes Xserver with EXA acceleration)

Daniel, could you backport a copy of patched xserver-xorg-video-sis 0.10.7-0ubuntu5 package for Ubuntu 12.04.3 LTS HWE stack - just rename the source and binary package to xserver-xorg-video-sis-lts-raring and upload to your repository.

If you don't have free time for this then please upload sources of patched xserver-xorg-video-sis 0.10.7-0ubuntu5 driver (with debian folder) to http://code.launchpad.net or github.com - then I will try to backport to xserver-xorg-video-sis-lts-raring Ubuntu 12.04.3 LTS HWE stack.

Thanks,
Mantas

Daniel Letzeisen (dtl131) wrote on 2013-09-26:
> For anyone interested, I applied the EXA patch and uploaded the sis driver to my PPA: https://launchpad.net/~dtl131/+archive/mediahacks/+packages

Daniel Letzeisen (dtl131) wrote :

Okay, precise LTS packages are ready, but note that the patch only affects newer SiS chips. From the manpage, it looks like:
 SiS315, 55x, 330, 661/741/76x (plus M, FX, MX, GX variants thereof), 340 and all XGI chips

Timo Aaltonen (tjaalton) wrote :

if you plan on keeping -sis alive then send patches upstream..

Daniel Letzeisen (dtl131) wrote :

Timo, I got the patch from the linked freedesktop bug. Upstream is not interested...

Like I originally said, I personally believe the best way to deal with this is not installing it by default (i.e. not having video-all package depend on it). However, the patched version should still be in the repo for advanced users who want 2D accel and/or uncommon resolutions.

Stéphane Graber (stgraber) wrote :

There doesn't seem to be a clear consensus on removal vs non-removal of the package from the archive, so I won't do it for saucy and so unsubscribed ~ubuntu-archive for the time being.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-sis-lts-raring (Ubuntu):
status: New → Confirmed

I can confirm with problem with an ASUS Degatto and Ubuntu 13.10. The mediahacks driver solves the crash. It seems there are still very small graphical glitches from time to time though.

The chip in my case is: SiS650 revision ID 90 (M650 A1 AA)

Changed in xserver-xorg-video-sis-lts-raring (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Critical
Kenneth Reiszner (kreiszner) wrote :

Like others I uninstalled xserver-xorg-video-sis to make things work in Saucy. This is a computer for a non well versed Linux user and I am sure I will see the coputer back when some upgrade is done. Please fix. This has to be hurting the Ubuntu and open source reputation.

affects: xserver-xorg-video-sis (Ubuntu) → xserver-xorg-video-sis (Ubuntu Linaro Evaluation Build)
affects: xserver-xorg-video-sis (Ubuntu Linaro Evaluation Build) → xserver-xorg-video-sis (Ubuntu)
Timo Aaltonen (tjaalton) wrote :

I guess the way forward is to drop -sis from -video-all as a first measure and let -sis be demoted to universe, and then allow folks to patch the driver if needed..

negora (negora) wrote :

I installed Xubuntu 13.10 in an Acer Aspire 3000 Series. It uses the SiS 760/M760 chipset. I've been testing the patched driver that was packaged by Daniel Letzeisen for months, and it has been working without any problem. I'm very happy with the result, because I don't need any fancy graphic effects.

It would be good if the original source code were patched. Although by your words I doubt that it ever happens :/ .

Anders (eddiedog988) on 2014-03-13
Changed in xserver-xorg-video-sis (Baltix):
status: Triaged → Confirmed
Changed in xserver-xorg-video-sis (Ubuntu):
status: Triaged → Confirmed
Changed in xserver-xorg-video-sis-lts-raring (Ubuntu):
status: Triaged → Confirmed
Changed in xserver-xorg-video-sis-lts-raring (Ubuntu):
status: Confirmed → Triaged
Changed in xserver-xorg-video-sis (Ubuntu):
status: Confirmed → Triaged
summary: - Please patch xserver-xorg-video-sis for Saucy and Raring (was: SiS
- driver crashes Xserver with EXA acceleration)
+ Please patch xserver-xorg-video-sis (was: SiS driver crashes Xserver
+ with EXA acceleration)
tags: added: trusty
removed: raring
Mörgæs (moergaes) wrote :

As per the title, please add the patch to the standard ISO. It will help a lot of people, especially now when Windows XP is retiring and people search for a new operative system.

I tested it myself, and it all worked well. Besides this I try to drag attention to the PPA here
http://ubuntuforums.org/showthread.php?t=2130640
and it's very well received when I point people to the thread.

The only negative response I have noticed is people complaining that it's not there by default:

http://ubuntuforums.org/showthread.php?t=2213378&page=2&p=12973323&viewfull=1#post12973323

So, status is that we have many thankful users who are satisfied with the patch. Do we have any kind of indication that the patch brings along problems?

winsbury (d-winsbury) wrote :

We are a small company but have a lot of pc's and laptops that we dont want to or cant upgrade to 8.1 and with expiry of XP support are urgently searching for an alternative. These are for professional users, not gamers, so super-graphics are not essential but a stable clean desktop is. The best option seemed to be a Linux based solution and Ubuntu appears to be the best of those available but have had no end of difficulties as many of the laptops have SiS graphics with no option to change them for a supported chip. Moergaes suggested a solution using Lubuntu with the patch which works but leaves us with a mountain to climb in terms of reinstating all the functionality of the full version of Ubuntu and a much shorter support window; this is a very frustrating situation given the commercial pressure to change systems and the fact the patch seems to have been available for a long while but is inexplicably excluded from the main distribution in spite of many threads requesting it.

It strikes me that there is a really strong driver to switch away from Windows to Linux solutions at the moment in the business community that could give Ubunto a massive boost; supporting older machinery for office duties is absolutely critical to widespread adoption. Its worth pointing out the other big distro's also suffer this problem so there's a further opportunity to differentiate Ubuntu ahead of the pack.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-sis - 1:0.10.7-0ubuntu6

---------------
xserver-xorg-video-sis (1:0.10.7-0ubuntu6) trusty; urgency=medium

  * fix-exa-crash.diff: Don't crash on recent servers. (LP: #1066464)
 -- Timo Aaltonen <email address hidden> Wed, 02 Apr 2014 12:35:35 +0300

Changed in xserver-xorg-video-sis (Ubuntu):
status: Triaged → Fix Released
Timo Aaltonen (tjaalton) wrote :

raring is eol

Changed in xserver-xorg-video-sis-lts-raring (Ubuntu):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.